import { OutputDetail } from "../utils/interfaces";
declare class Submission {
    id: number;
    lang?: string | undefined;
    memory?: string | undefined;
    runtime?: string | undefined;
    statusDisplay?: string | undefined;
    timestamp?: number | undefined;
    code?: string | undefined;
    sourceUrl?: string | undefined;
    passedTestCaseCnt?: number | undefined;
    totalTestCaseCnt?: number | undefined;
    outputDetail?: OutputDetail | undefined;
    constructor(id: number, lang?: string | undefined, memory?: string | undefined, runtime?: string | undefined, statusDisplay?: string | undefined, timestamp?: number | undefined, code?: string | undefined, sourceUrl?: string | undefined, passedTestCaseCnt?: number | undefined, totalTestCaseCnt?: number | undefined, outputDetail?: OutputDetail | undefined);
    static build(id: number): Promise<Submission>;
    detail(): Promise<Submission>;
}
export default Submission;
