export var LangSlug;
(function (LangSlug) {
    LangSlug["cpp"] = "cpp";
    LangSlug["java"] = "java";
    LangSlug["python"] = "python";
    LangSlug["python3"] = "python3";
    LangSlug["c"] = "c";
    LangSlug["csharp"] = "csharp";
    LangSlug["javascript"] = "javascript";
    LangSlug["ruby"] = "ruby";
    LangSlug["swift"] = "swift";
    LangSlug["golang"] = "golang";
    LangSlug["scala"] = "scala";
    LangSlug["kotlin"] = "kotlin";
    LangSlug["rust"] = "rust";
    LangSlug["php"] = "php";
    LangSlug["typescript"] = "typescript";
    LangSlug["racket"] = "racket";
    LangSlug["erlang"] = "erlang";
    LangSlug["elixir"] = "elixir";
})(LangSlug || (LangSlug = {}));
export const LangText = {
    [LangSlug.cpp]: "C++",
    [LangSlug.java]: "Java",
    [LangSlug.python]: "Python 2",
    [LangSlug.python3]: "Python 3",
    [LangSlug.c]: "C",
    [LangSlug.csharp]: "C#",
    [LangSlug.javascript]: "JavaScript",
    [LangSlug.ruby]: "Ruby",
    [LangSlug.swift]: "Swift",
    [LangSlug.golang]: "Go",
    [LangSlug.scala]: "Scala",
    [LangSlug.kotlin]: "Kotlin",
    [LangSlug.rust]: "Rust",
    [LangSlug.php]: "PHP",
    [LangSlug.typescript]: "TypeScript",
    [LangSlug.racket]: "Racket",
    [LangSlug.erlang]: "Erlang",
    [LangSlug.elixir]: "Elixir",
};
export function LangExt(langSlug) {
    switch (langSlug) {
        case LangSlug.cpp:
            return "cpp";
        case LangSlug.java:
            return "java";
        case LangSlug.python:
            return "py2";
        case LangSlug.python3:
            return "py";
        case LangSlug.c:
            return "c";
        case LangSlug.csharp:
            return "cs";
        case LangSlug.javascript:
            return "js";
        case LangSlug.ruby:
            return "rb";
        case LangSlug.swift:
            return "swift";
        case LangSlug.golang:
            return "go";
        case LangSlug.scala:
            return "scala";
        case LangSlug.kotlin:
            return "kotlin";
        case LangSlug.rust:
            return "rs";
        case LangSlug.php:
            return "php";
        case LangSlug.typescript:
            return "ts";
        case LangSlug.racket:
            return "racket";
        case LangSlug.erlang:
            return "erlang";
        case LangSlug.elixir:
            return "elixir";
        default:
            return "unknown";
    }
}
export var ProblemStatus;
(function (ProblemStatus) {
    ProblemStatus[ProblemStatus["Accept"] = 0] = "Accept";
    ProblemStatus[ProblemStatus["NotAccept"] = 1] = "NotAccept";
    ProblemStatus[ProblemStatus["NotStart"] = 2] = "NotStart";
})(ProblemStatus || (ProblemStatus = {}));
export var ProblemDifficulty;
(function (ProblemDifficulty) {
    ProblemDifficulty[ProblemDifficulty["Easy"] = 0] = "Easy";
    ProblemDifficulty[ProblemDifficulty["Medium"] = 1] = "Medium";
    ProblemDifficulty[ProblemDifficulty["Hard"] = 2] = "Hard";
})(ProblemDifficulty || (ProblemDifficulty = {}));
export var SubmissionStatus;
(function (SubmissionStatus) {
    SubmissionStatus[SubmissionStatus["Accepted"] = 0] = "Accepted";
    SubmissionStatus[SubmissionStatus["Compile Error"] = 1] = "Compile Error";
    SubmissionStatus[SubmissionStatus["Wrong Answer"] = 2] = "Wrong Answer";
    SubmissionStatus[SubmissionStatus["Time Limit Exceeded"] = 3] = "Time Limit Exceeded";
})(SubmissionStatus || (SubmissionStatus = {}));
export var EndPoint;
(function (EndPoint) {
    EndPoint[EndPoint["US"] = 0] = "US";
    EndPoint[EndPoint["CN"] = 1] = "CN";
})(EndPoint || (EndPoint = {}));
//# sourceMappingURL=interfaces.js.map